CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-3865

Directory traversal vulnerability in lib/puppet/reports/store.rb in Puppet before 2.6.17 and 2.7.x before 2.7.18, and Puppet Enterprise before 2.5.2, when Delete is enabled in auth.conf, allows remote authenticated users to delete arbitrary files on the puppet master server via a .. (dot dot) in a node name.
Publish Date : 2012-08-06 Last Update Date : 2019-07-10
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
3.5
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Directory traversal
CWE ID 22

- Related OVAL Definitions

Title Definition Id Class Family
DSA-2511-1 puppet - several oval:org.mitre.oval:def:18634 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-3865

# Product Type Vendor Product Version Update Edition Language
1 Application Puppet Puppet 2.6.0 Version Details Vulnerabilities
2 Application Puppet Puppet 2.6.1 Version Details Vulnerabilities
3 Application Puppet Puppet 2.6.2 Version Details Vulnerabilities
4 Application Puppet Puppet 2.6.3 Version Details Vulnerabilities
5 Application Puppet Puppet 2.6.4 Version Details Vulnerabilities
6 Application Puppet Puppet 2.6.5 Version Details Vulnerabilities
7 Application Puppet Puppet 2.6.6 Version Details Vulnerabilities
8 Application Puppet Puppet 2.6.7 Version Details Vulnerabilities
9 Application Puppet Puppet 2.6.8 Version Details Vulnerabilities
10 Application Puppet Puppet 2.6.9 Version Details Vulnerabilities
11 Application Puppet Puppet 2.6.10 Version Details Vulnerabilities
12 Application Puppet Puppet 2.6.11 Version Details Vulnerabilities
13 Application Puppet Puppet 2.6.12 Version Details Vulnerabilities
14 Application Puppet Puppet 2.6.13 Version Details Vulnerabilities
15 Application Puppet Puppet 2.6.14 Version Details Vulnerabilities
16 Application Puppet Puppet 2.6.15 Version Details Vulnerabilities
17 Application Puppet Puppet 2.7.2 Version Details Vulnerabilities
18 Application Puppet Puppet 2.7.3 Version Details Vulnerabilities
19 Application Puppet Puppet 2.7.4 Version Details Vulnerabilities
20 Application Puppet Puppet 2.7.5 Version Details Vulnerabilities
21 Application Puppet Puppet 2.7.6 Version Details Vulnerabilities
22 Application Puppet Puppet 2.7.8 Version Details Vulnerabilities
23 Application Puppet Puppet 2.7.9 Version Details Vulnerabilities
24 Application Puppet Puppet 2.7.10 Version Details Vulnerabilities
25 Application Puppet Puppet 2.7.11 Version Details Vulnerabilities
26 Application Puppet Puppet 2.7.12 Version Details Vulnerabilities
27 Application Puppet Puppet 2.7.13 Version Details Vulnerabilities
28 Application Puppet Puppet 2.7.14 Version Details Vulnerabilities
29 Application Puppet Puppet 2.7.16 Version Details Vulnerabilities
30 Application Puppet Puppet Enterprise 2.5.1 Version Details Vulnerabilities
31 Application Puppetlabs Puppet 2.6.16 Version Details Vulnerabilities
32 Application Puppetlabs Puppet 2.7.0 Version Details Vulnerabilities
33 Application Puppetlabs Puppet 2.7.1 Version Details Vulnerabilities
34 Application Puppetlabs Puppet 2.7.17 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Puppet Puppet 29
Puppet Puppet Enterprise 1
Puppetlabs Puppet 4

- References For CVE-2012-3865

https://github.com/puppetlabs/puppet/commit/554eefc55f57ed2b76e5ee04d8f194d36f6ee67f CONFIRM
https://github.com/puppetlabs/puppet/commit/d80478208d79a3e6d6cb1fbc525e24817fe8c4c6 CONFIRM
http://www.debian.org/security/2012/dsa-2511
DEBIAN DSA-2511
http://puppetlabs.com/security/cve/cve-2012-3865/ CONFIRM
https://bugzilla.redhat.com/show_bug.cgi?id=839131 CONFIRM
http://www.ubuntu.com/usn/USN-1506-1
UBUNTU USN-1506-1
http://lists.opensuse.org/opensuse-security-announce/2012-08/msg00006.html
SUSE SUSE-SU-2012:0983
http://lists.opensuse.org/opensuse-updates/2012-07/msg00036.html
SUSE openSUSE-SU-2012:0891

- Metasploit Modules Related To CVE-2012-3865

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.